Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# gray.hpp File Reference

## Detailed Description

Support for grayscale color space and variants.

Author:
  Lubomir Bourdev and Hailin Jin
  Adobe Systems Incorporated

Date:
  2005-2007
  Last updated on March 8, 2006

`#include "gil_config.hpp"`
`#include "utilities.hpp"`
`#include <boost/type_traits.hpp>`
`#include <boost/mpl/range_c.hpp>`
`#include <boost/mpl/vector_c.hpp>`

Go to the source code of this file.

## Namespaces

namespace | boost
namespace | boost::gil

## Classes

struct | gray_color_t
| Gray. More...

## Typedefs

typedef mpl::vector1 < gray_color_t > | gray_t
typedef layout< gray_t > | gray_layout_t